#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_CN7C(void)
{
#if (PRO_CN7C)
    if (GetCluType() == STD_CFG){
        SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("HBAGreen",              HBAGreen);
        SetTelltalePos("HBAWhite",              HBAWhite);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("RearFog",                RearFog);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        //SetTelltalePos("OverSpeed",            OverSpeed);
        SetTelltalePos("DpfGpf",                  DpfGpf);
        SetTelltalePos("EPB",                        EPB);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("InteriorLamp",      InteriorLamp);
        SetTelltalePos("FcaYellow",            FcaYellow);
        SetTelltalePos("FcaRed",                  FcaRed);
        SetTelltalePos("CheckEngine",        CheckEngine);
        SetTelltalePos("Tpms",                      Tpms);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("Ecall",                    Ecall);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    }
    else if (GetCluType() == MID_CFG){
        SetTelltalePos("HighBeam",              HighBeam);
        SetTelltalePos("HBAGreen",              HBAGreen);
        SetTelltalePos("HBAWhite",              HBAWhite);
        SetTelltalePos("LowBeam",                LowBeam);
        SetTelltalePos("LeftTurn",              LeftTurn);
        SetTelltalePos("RightTurn",            RightTurn);
        SetTelltalePos("TailLamp",              TailLamp);
        SetTelltalePos("RearFog",                RearFog);
        SetTelltalePos("MasterSymbol",      MasterSymbol);
        SetTelltalePos("EPB",                        EPB);
        SetTelltalePos("ParkingBreak",      ParkingBreak);
        SetTelltalePos("ABS",                        ABS);
        SetTelltalePos("Tpms",                      Tpms);
        //SetTelltalePos("OverSpeed",            OverSpeed);
        SetTelltalePos("Immobilizer",        Immobilizer);
        SetTelltalePos("SeatBelt",              SeatBelt);
        SetTelltalePos("Ecall",                    Ecall);
        SetTelltalePos("InteriorLamp",      InteriorLamp);
        SetTelltalePos("FcaYellow",            FcaYellow);
        SetTelltalePos("FcaRed",                  FcaRed);
        SetTelltalePos("DpfGpf",                  DpfGpf);
        SetTelltalePos("Mdps",                      Mdps);
        SetTelltalePos("BatteryCharge",    BatteryCharge);
        SetTelltalePos("AirBag",                  AirBag);
        SetTelltalePos("OilPressure",        OilPressure);
        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("ESC",                        ESC);
        SetTelltalePos("CheckEngine",        CheckEngine);
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    }
    else if (GetCluType() == SVC_CFG){
//        SetTelltalePos("EPB",                        EPB);
//        SetTelltalePos("OverSpeed",            OverSpeed);
//        SetTelltalePos("LeftTurn",              LeftTurn);
//        SetTelltalePos("CheckEngine",        CheckEngine);
//        SetTelltalePos("FcaYellow",            FcaYellow);
//        SetTelltalePos("FcaRed",                  FcaRed);
//        SetTelltalePos("ISLA",                      ISLA);
//        SetTelltalePos("AirBag",                  AirBag);
//        SetTelltalePos("Tpms",                      Tpms);
//        SetTelltalePos("RearFog",                RearFog);
//        SetTelltalePos("TailLamp",              TailLamp);
//        SetTelltalePos("HighBeam",              HighBeam);
//        SetTelltalePos("LowBeam",                LowBeam);
//        SetTelltalePos("HBAGreen",              HBAGreen);
//        SetTelltalePos("HBAWhite",              HBAWhite);
//        SetTelltalePos("DpfGpf",                  DpfGpf);
//        SetTelltalePos("SeatBelt",              SeatBelt);
//        SetTelltalePos("Mdps",                      Mdps);
//        SetTelltalePos("RightTurn",            RightTurn);
//        SetTelltalePos("Ecall",                    Ecall);
        SetTelltalePos("InteriorLamp",      InteriorLamp);
//        SetTelltalePos("BatteryCharge",    BatteryCharge);
//        SetTelltalePos("Immobilizer",        Immobilizer);
//        SetTelltalePos("ABS",                        ABS);
//        SetTelltalePos("OilPressure",        OilPressure);
//        SetTelltalePos("AutoHoldYellow",  AutoHoldYellow);
//        SetTelltalePos("AutoHoldGreen",    AutoHoldGreen);
//        SetTelltalePos("AutoHoldWhite",    AutoHoldWhite);
//        SetTelltalePos("ParkingBreak",      ParkingBreak);
//        SetTelltalePos("IceWarning",          IceWarning);
//        SetTelltalePos("RSBR Red",              RSBR_Red);
//        SetTelltalePos("MasterSymbol",      MasterSymbol);
//        SetTelltalePos("ESC",                        ESC);
//        SetTelltalePos("EscOff",                  EscOff);
        SetTelltalePos("AllLedOpen",          AllLedOpen);
        SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    }
#endif
}


